<ion-header>
  <ion-toolbar class="header" color="primary">
    <ion-buttons slot="start">
      <ion-menu-toggle>
        <ion-icon class="ic-menu" name="menu"></ion-icon>
      </ion-menu-toggle>
    </ion-buttons>
    <ion-title>{{ type == 'loan' ? 'Transaksi Peminjaman' : 'Transaksi Pengembalian'}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <ion-item class="ion-no-padding">
      <h5>Informasi Anggota</h5>
    </ion-item>
    <ion-item class="card" fxLayout="row">
      <div *ngIf="!isLoading" [fxFlex]="30" class="ion-text-center">
        <img [src]="photoPath + member?.memberPhoto" alt="avatar" onerror="this.src='assets/img/user-eror.png'">
      </div>
      <div *ngIf="!isLoading && member">
        <p class="p-id">ID : {{member?.memberID}}</p>
        <p style="margin-top:-10px;">Nama : {{member?.memberFirstName +' '+member?.memberLastName}}</p>
      </div>

      <!-- Skeleton screen -->
      <div *ngIf="isLoading" class="skeleton">
        <ion-item lines="none">
          <ion-thumbnail slot="start" class="skeleton-thumbs">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
          <div class="skeleton-list">
            <h3>
              <ion-skeleton-text animated></ion-skeleton-text>
            </h3>
            <p>
              <ion-skeleton-text animated></ion-skeleton-text>
            </p>
          </div>
        </ion-item>
      </div>
    </ion-item>

    <div style="margin-top:20px;">
      <ion-item class="item-no-padding" fxLayout="row">
        <div [fxFlex]="80">
          <h5>Buku</h5>
        </div>
        <div [fxFlex]="20" *ngIf="type == 'loan'" class="ion-text-end" (click)="scanBook()">
          <ion-icon class="ic-add" name="add-circle-outline"></ion-icon>
        </div>
      </ion-item>
      <ng-container *ngIf="bookList.length > 0">
        <div fxLayout="row" class="container-list" *ngFor="let book of bookList">
          <div [fxFlex]="80">
            {{book?.bookTitle}}
          </div>
          <div [fxFlex]="20" class="ion-text-end" *ngIf="type == 'loan'" (click)="removeBook(book?.bookID)">
            <ion-chip class="remove">x</ion-chip>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="bookList.length == 0">
        <div class="ion-text-center">
          <h5>Tidak ada yang ditampilkan</h5>
        </div>
      </ng-container>
    </div>

    <div class="ion-margin-top" *ngIf="type == 'loan'">
      <ion-item class="item-no-padding">
        <ion-label position="stacked" class="lbl-date">
          <h5>Tanggal Kembali</h5>
        </ion-label>
        <ion-datetime displayFormat="DD/MM/YYYY" [min]="dueDate" [max]="year + 1" pickerFormat="DD/MM/YYYY"
          [(ngModel)]="dueDate"></ion-datetime>
      </ion-item>
    </div>

    <ng-container *ngIf="overdueDay > 0">
      <div class="ion-margin-top">
        <ion-item class="item-no-padding">
          <ion-label position="stacked" class="lbl-date">
            Lewat Jatuh Tempo
          </ion-label>
          <ion-input readOnly>{{overdueDay || 0}} Hari</ion-input>
        </ion-item>
      </div>

      <div class="ion-margin-top">
        <ion-item class="item-no-padding">
          <ion-label position="stacked" class="lbl-date">
            Denda
          </ion-label>
          <ion-input readOnly>Rp. {{overDueFee || 0}}</ion-input>
        </ion-item>
      </div>
    </ng-container>

  </div>
  <div class="ion-padding">
    <ion-button [disabled]="bookList.length == 0" (click)="type == 'loan' ? saveLoan() : saveLoanReturn()"
      style="width:100%">
      SIMPAN TRANSAKSI
    </ion-button>
  </div>
</ion-content>